# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have a recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
	${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "csky-layer"
BBFILE_PATTERN_csky-layer = "^${LAYERDIR}/"
BBFILE_PRIORITY_csky-layer = "6"

BBFILES_DYNAMIC += " \
    virtualization-layer:${LAYERDIR}/dynamic-layers/virt-layer/*/*/*.bb \
    virtualization-layer:${LAYERDIR}/dynamic-layers/virt-layer/*/*/*.bbappend \
    openembedded-layer:${LAYERDIR}/dynamic-layers/openembedded-layer/*/*/*.bb \
    openembedded-layer:${LAYERDIR}/dynamic-layers/openembedded-layer/*/*/*.bbappend \
    gnome-layer:${LAYERDIR}/dynamic-layers/gnome-layer/*/*/*.bb \
    gnome-layer:${LAYERDIR}/dynamic-layers/gnome-layer/*/*/*.bbappend \
    multimedia-layer:${LAYERDIR}/dynamic-layers/multimedia-layer/*/*/*.bb \
    multimedia-layer:${LAYERDIR}/dynamic-layers/multimedia-layer/*/*/*.bbappend \
    \
"

LAYERSERIES_COMPAT_csky-layer = "gatesgarth hardknott"

INSANE_SKIP_append_pn-cmocka_csky = " textrel"
INSANE_SKIP_append_pn-xfsdump_csky = " textrel"
INSANE_SKIP_append_pn-zabbix_csky = " textrel"
INSANE_SKIP_append_pn-netdata_csky = " textrel"
INSANE_SKIP_append_pn-tipcutils_csky = " textrel"
INSANE_SKIP_append_pn-tvheadend_csky = " textrel"
INSANE_SKIP_append_pn-monkey_csky = " textrel"
INSANE_SKIP_append_pn-eudev_csky = " textrel"
INSANE_SKIP_append_pn-dracut_csky = " textrel"
INSANE_SKIP_append_pn-rt-tests_csky = " textrel"
INSANE_SKIP_append_pn-gdb_csky = " textrel"
INSANE_SKIP_append_pn-capnproto_csky = " textrel"
INSANE_SKIP_append_pn-rdma-core_csky = " textrel"
INSANE_SKIP_append_pn-util-linux_csky = " textrel"
INSANE_SKIP_append_pn-ltp_csky = " textrel"
INSANE_SKIP_append_pn-poppler_csky = " textrel"
INSANE_SKIP_append_pn-qtbase_csky = " textrel"
INSANE_SKIP_append_pn-gerbera_csky = " textrel"
INSANE_SKIP_append_pn-opensaf_csky = " textrel"
INSANE_SKIP_append_pn-doxygen_csky = " textrel"
INSANE_SKIP_append_pn-opengl-es-cts_csky = " textrel"
INSANE_SKIP_append_pn-perf_csky = " textrel"

# These recipe dont _yet_ build for rv32
COMPATIBLE_HOST_pn-openh264_csky = "null"
# Need to port - tcf/cpudefs-mdep.h
COMPATIBLE_HOST_pn-tcf-agent_csky = "null"
# needs SYS_ppoll and SYS_pselect6
COMPATIBLE_HOST_pn-lttng-tools_csky = "null"
# LTTng-modules requires CONFIG_KPROBES on kernels >= 5.7.0
COMPATIBLE_HOST_pn-lttng-modules_csky = "null"
# Needs porting to rv32
COMPATIBLE_HOST_pn-android-tools_csky = "null"
# Needs porting to rv32
COMPATIBLE_HOST_pn-strace_csky = "null"
COMPATIBLE_HOST_pn-ostree_csky = "null"
# Klibc needs porting in usr/klibc/arch/csky
COMPATIBLE_HOST_pn-klibc_csky = "null"
COMPATIBLE_HOST_pn-klibc-static-utils_csky = "null"
COMPATIBLE_HOST_pn-klibc-utils_csky = "null"
COMPATIBLE_HOST_pn-klcc-cross_csky = "null"
COMPATIBLE_HOST_pn-kexecboot-klibc_csky = "null"
COMPATIBLE_HOST_pn-ubi-utils-klibc_csky = "null"

# needs syscalls addressed for rv32
COMPATIBLE_HOST_pn-qemu_csky = "null"
# Fails to configure
COMPATIBLE_HOST_pn-samba_csky = "null"
COMPATIBLE_HOST_pn-smbnetfs_csky = "null"
COMPATIBLE_HOST_pn-gnome-control-center_csky = "null"
COMPATIBLE_HOST_pn-thunar-shares-plugin_csky = "null"

# sipe-mime.c:129:30: error: cast from 'GTypeInstance *' (aka 'struct _GTypeInstance *') to 'GMimeStreamFilter *' (aka 'struct _GMimeStreamFilter *') increases required al ignment from 4 to 8 [-Werror,-Wcast-align]
COMPATIBLE_HOST_pn-pidgin-sipe_csky = "null"
